Skip to main content

Get all fees

GEThttps://api.propexo.com/v1/fees/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
integration_id string

The Propexo unique identifier for the integration

property_id string

The Propexo unique identifier for the property

floor_plan_id string

The Propexo unique identifier for the floor plan

unit_id string

The Propexo unique identifier for the unit

charge_code_id string

The Propexo unique identifier for the charge code

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the fee

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 8f8d80c026256e01d03852aaa3e0e145d790c8b6a4937ce62c65ed60af21aab3
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: d3a291f2-d597-48fb-9f82-eb1fa5ae1e0b
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for RESMAN

    Example: null
    x_charge_code_idnullrequired

    The external ID of the charge code from the integration vendor

    Notice

    This field will always be null for RESMAN

    Example: null
    x_floor_plan_idnullrequired

    The external ID of the floor plan from the integration vendor

    Notice

    This field will always be null for RESMAN

    Example: null
    x_unit_idnullrequired

    The external ID of the unit from the integration vendor

    Notice

    This field will always be null for RESMAN

    Example: null
    amount_in_centsnumber | nullnullablerequired

    The amount of the fee, in cents

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 1425
    amount_rawstring | nullnullablerequired

    The raw value for amount from the PMS

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 14.25
    charge_code_namenullrequired

    The name of the charge code

    Notice

    This field will always be null for RESMAN

    Example: null
    descriptionnullrequired

    Description of the fee

    Notice

    This field will always be null for RESMAN

    Example: null
    namestring | nullnullablerequired

    The name associated with the fee

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: Admin
    custom_data object | nullrequired

    Custom data

    property name*anynullable

    Custom data

    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum23required

    The property management system of record

    Show 13 enum values
    RESMANAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINEYARDIYARDI_REST
    Example: RESMAN
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    floor_plan_idnullrequired

    The Propexo unique identifier for the floor plan

    Notice

    This field will always be null for RESMAN

    Example: null
    unit_idnullrequired

    The Propexo unique identifier for the unit

    Notice

    This field will always be null for RESMAN

    Example: null
    charge_code_idnullrequired

    The Propexo unique identifier for the charge code

    Notice

    This field will always be null for RESMAN

    Example: null
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/fees/
curl https://api.propexo.com/v1/fees/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "8f8d80c026256e01d03852aaa3e0e145d790c8b6a4937ce62c65ed60af21aab3",
"x_property_id": "d3a291f2-d597-48fb-9f82-eb1fa5ae1e0b",
"x_location_id": null,
"x_charge_code_id": null,
"x_floor_plan_id": null,
"x_unit_id": null,
"amount_in_cents": 1425,
"amount_raw": "14.25",
"charge_code_name": null,
"description": null,
"name": "Admin",
"custom_data": "Unknown Type: object,null",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RESMAN",
"property_id": "clwi5xiix000008l6ctdgafyh",
"floor_plan_id": null,
"unit_id": null,
"charge_code_id": null
}
]
}